Activity

List organization activity

GET/v1/organization/activity

Lists the organization's audit log entries that match the query filters.

Autorisations

  • Authorizationstringheaderobligatoire

    Organization API key (org_...), created in the cloud console at https://cloud.serverside.com and shown once, sent as Authorization: Bearer <key>. It authenticates as the organization.

Permission requise : organization.activity.read

Paramètres de requête

  • filterobject
  • pageinteger<int32>

    Limites :1 <= x <= 2147483

  • pageSizeinteger<int32>

    Limites :1 <= x <= 1000

  • sortColumnstring
  • ascendingboolean
  • actionPrefixstring
  • actorIdstring<uuid>
  • actorTypeenum<string>

    Valeurs autorisées :SYSTEMUSERAPI_KEYADMIN

  • severityenum<string>

    Valeurs autorisées :INFOWARNINGCRITICAL

  • targetEntityTypeenum<string>

    Valeurs autorisées :NONEBAREMETAL_SERVICEBAREMETAL_NODEINVOICEORDERSUBSCRIPTIONORGANIZATIONUSERSPNIP_BLOCKISO_FILEAPI_KEYSSH_KEYROLEPAYMENT_METHOD

  • targetEntityIdstring<uuid>
  • fromstring<date-time>
  • tostring<date-time>

Réponse

200 · application/json

OK

  • successbooleanobligatoire

    Valeurs autorisées :true

  • dataobject[] | nullobligatoire
  • paginationobject